Nuxeo Enterprise Platform 5.1

org.nuxeo.ecm.platform.publishing.api
Interface PublishActions

All Superinterfaces:
EventListener, SelectDataModelListener
All Known Subinterfaces:
PublishActionsLocal, PublishActionsRemote
All Known Implementing Classes:
PublishActionsBean

public interface PublishActions
extends SelectDataModelListener

Interface for publishing documents page action listener. Exposes methods for handling user actions related to the publish button(s).

Author:
Paslaru Narcis

Field Summary
static String CHILDREN_DOCUMENT_LIST
           
static String SECTIONS_DOCUMENT_TREE
           
 
Method Summary
 void cancelTheSections()
          Nullifies the sectionSelectModel when the document is changed.
 void destroy()
           
 List<Action> getActionsForPublishDocument()
          Returns the list of available web actions for the currently selected DocumentList - list of sections.
 List<Action> getActionsForSectionSelection()
          Returns the list of available web actions for the currently selected Documents inside a section.
 boolean getCanUnpublish()
          This method is used to test wheter the looged user has enough rights for the unpublish support.
 String getComment()
           
 DocumentModelList getProxies(DocumentModel docModel)
          Retrieves all visible proxies for this document.
 List<PublishingInformation> getPublishingInformation(DocumentModel docModel)
          Retrieves all visible proxies for this document, and associated visible sections.
 String getRootName()
           
 String getSectionName()
           
 SelectDataModel getSectionsModel()
          Retrieves all the sections in the domain.
 void notifyEvent(String eventId, Map<String,Serializable> properties, String comment, String category, DocumentModel dm)
           
 String processRemoteSelectRowEvent(String docRef, Boolean selection)
           
 String publishDocument()
          Method that executes when a document is published.
 DocumentModel publishDocument(DocumentModel docToPublish, DocumentModel section)
           
 String publishDocumentList(String listName)
           
 String publishWorkList()
           
 void setComment(String comment)
           
 String unPublishDocument()
          This method is used to unpublish a proxy of the current document, having as a request parameter with the name 'unPublishSectionRef,' the name of the section from which to unpublish the current document.
 void unPublishDocument(DocumentModel proxy)
          This method is used to unpublish the given proxy.
 void unPublishDocuments(List<DocumentModel> documentsList)
          This method is used to unpublish the given list of document models.
 void unPublishDocumentsFromCurrentSelection()
          This method is used to unpublish the current document list selection.
 
Methods inherited from interface org.nuxeo.ecm.platform.ui.web.model.SelectDataModelListener
processSelectRowEvent
 

Field Detail

SECTIONS_DOCUMENT_TREE

static final String SECTIONS_DOCUMENT_TREE
See Also:
Constant Field Values

CHILDREN_DOCUMENT_LIST

static final String CHILDREN_DOCUMENT_LIST
See Also:
Constant Field Values
Method Detail

getActionsForPublishDocument

List<Action> getActionsForPublishDocument()
Returns the list of available web actions for the currently selected DocumentList - list of sections.

Returns:
the WebAction list

getSectionsModel

SelectDataModel getSectionsModel()
                                 throws ClientException
Retrieves all the sections in the domain.

Returns:
Throws:
ClientException

getProxies

DocumentModelList getProxies(DocumentModel docModel)
                             throws ClientException
Retrieves all visible proxies for this document.

Throws:
ClientException

getPublishingInformation

List<PublishingInformation> getPublishingInformation(DocumentModel docModel)
                                                     throws ClientException
Retrieves all visible proxies for this document, and associated visible sections.

Throws:
ClientException

publishDocument

String publishDocument()
                       throws ClientException
Method that executes when a document is published.

Throws:
ClientException

publishDocument

DocumentModel publishDocument(DocumentModel docToPublish,
                              DocumentModel section)
                              throws ClientException
Throws:
ClientException

publishDocumentList

String publishDocumentList(String listName)
                           throws ClientException
Throws:
ClientException

publishWorkList

String publishWorkList()
                       throws ClientException
Throws:
ClientException

cancelTheSections

void cancelTheSections()
Nullifies the sectionSelectModel when the document is changed.


getComment

String getComment()

setComment

void setComment(String comment)

unPublishDocument

String unPublishDocument()
                         throws ClientException
This method is used to unpublish a proxy of the current document, having as a request parameter with the name 'unPublishSectionRef,' the name of the section from which to unpublish the current document.

Returns:
- the page to which to forward after the unpublish process.
Throws:
ClientException

unPublishDocument

void unPublishDocument(DocumentModel proxy)
                       throws ClientException
This method is used to unpublish the given proxy.

Parameters:
proxy - - the proxy to unpublish.
Throws:
ClientException

unPublishDocuments

void unPublishDocuments(List<DocumentModel> documentsList)
                        throws ClientException
This method is used to unpublish the given list of document models.

Parameters:
documentsList - - the list of the document models which are going to be unpublish.
Throws:
ClientException

unPublishDocumentsFromCurrentSelection

void unPublishDocumentsFromCurrentSelection()
                                            throws ClientException
This method is used to unpublish the current document list selection.

Throws:
ClientException

getCanUnpublish

boolean getCanUnpublish()
                        throws ClientException
This method is used to test wheter the looged user has enough rights for the unpublish support.

Returns:
- true if the user can unpublish

- false otherwise

Throws:
ClientException

getRootName

String getRootName()

getSectionName

String getSectionName()

notifyEvent

void notifyEvent(String eventId,
                 Map<String,Serializable> properties,
                 String comment,
                 String category,
                 DocumentModel dm)
                 throws ClientException
Throws:
ClientException

processRemoteSelectRowEvent

@WebRemote
String processRemoteSelectRowEvent(String docRef,
                                             Boolean selection)
                                   throws ClientException
Throws:
ClientException

getActionsForSectionSelection

List<Action> getActionsForSectionSelection()
Returns the list of available web actions for the currently selected Documents inside a section.

Returns:
the WebAction list

destroy

@Destroy
void destroy()

Nuxeo Enterprise Platform 5.1

Copyright ? 2007 Nuxeo SAS. All Rights Reserved.